RemoteHostValve (Apache Tomcat 11.0.5 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: RemoteHostValve

# Class RemoteHostValve

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.LifecycleMBeanBase
org.apache.catalina.valves.ValveBase
org.apache.catalina.valves.RequestFilterValve
org.apache.catalina.valves.RemoteHostValve

All Implemented Interfaces:
  `MBeanRegistration`, `Contained`, `JmxEnabled`, `Lifecycle`, `Valve`

public final class RemoteHostValve extends RequestFilterValve
Concrete implementation of `RequestFilterValve` that filters based on the remote client's host name optionally combined with the server connector port number.

Author:
  Craig R. McClanahan

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

  `Lifecycle.SingleUse`

- ## Field Summary

  ### Fields inherited from class org.apache.catalina.valves.RequestFilterValve

  `allow, allowValid, allowValue, deny, denyStatus, denyValid, denyValue`

  ### Fields inherited from class org.apache.catalina.valves.ValveBase

  `asyncSupported, container, containerLog, next, sm`

  ### Fields inherited from interface org.apache.catalina.Lifecycle

  `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteHostValve()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Log`
  `getLog()`
  `void`
  `invoke(Request request, Response response)`
  Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering.

  ### Methods inherited from class org.apache.catalina.valves.RequestFilterValve

  `denyRequest, getAddConnectorPort, getAllow, getDeny, getDenyStatus, getInvalidAuthenticationWhenDeny, getUsePeerAddress, initInternal, isAllowed, isAllowValid, isDenyValid, process, setAddConnectorPort, setAllow, setDeny, setDenyStatus, setInvalidAuthenticationWhenDeny, setUsePeerAddress, startInternal`

  ### Methods inherited from class org.apache.catalina.valves.ValveBase

  `backgroundProcess, getContainer, getDomainInternal, getNext, getObjectNameKeyProperties, isAsyncSupported, setAsyncSupported, setContainer, setNext, stopInternal, toString`

  ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

  `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister, unregister`

  ### Methods inherited from class org.apache.catalina.util.LifecycleBase

  `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteHostValve

    public RemoteHostValve()

- ## Method Details

  - ### invoke

    public void invoke(Request request, Response response) throws IOException, ServletException
    Description copied from class: `RequestFilterValve`
    Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering. This method must be implemented by a concrete subclass.
    Specified by:
      `invoke` in interface `Valve`
    Specified by:
      `invoke` in class `RequestFilterValve`
    Parameters:
      `request` - The servlet request to be processed
      `response` - The servlet response to be created
    Throws:
      `IOException` - if an input/output error occurs
      `ServletException` - if a servlet error occurs

  - ### getLog

    protected Log getLog()
    Specified by:
      `getLog` in class `RequestFilterValve`